# Lastest CVS version notes. (please add the lastest note at the top)

Lukas please check and fix credits (docs/credits.txt)

************

Listview should be used only for file views. But I may add multicolumn support for it and then it will be a parent widget for listbox.

It crash on my systems, and it's quite stupid to have 2 widgets to do the same thing...

Whats wrong with listbox, it is much more advanced than listview. 

Lukas you shouldn't use listbox, please use instaed listview wich is more stable


- 0.5.1.4 9/01/2004
	You need to install zlib to build kernel (you can use the zdll.lib in win32 dir, you need also the zlib1.dll)

- 8/02/2004
	1.) Double click is now based on mouse up and not mouse down to prevent confusing mouse events in dialogs - THIS IS TOTALLY WRONG, IT MUST BE MOUSE DOWN !!!
-> In fact if we keep mouse down based, when doubleclick on an item in a iobox, a mouse up is handle by underlaying widget as box have been disposed, and if underlaying widget is a button it do a non wanted action...
-> Yes buttons are screwed, im going to fix it, so revert the old stuff.


	2.) Textbox shouldnt adjust its size to the font size, but remain the size provided and center the text in the middle when its not multiline.
-> I've added this function as many textbox was too small to fti text, i've forget that some are enouf large